LibreOffice: UnoControlGridModel Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Types | Included Services | Public Attributes | List of all members
UnoControlGridModel Service Referencepublished

specifies the standard model of a UnoControlGrid control. More...

Inheritance diagram for UnoControlGridModel:

## Public Types
typedef sequence< ::com::sun::star::util::Color > | RowBackgroundColors
| specifies the colors to be used as background for data rows.

## Included Services
service | com::sun::star::awt::UnoControlModel
| specifies the standard model of a com::sun::star::awt::UnoControl.
Included Services inherited from UnoControlModel
service | com::sun::star::awt::UnoControlDialogElement
| This service is present when the control model is embedded in an UnoControlDialogModel.

## Public Attributes
boolean | ShowRowHeader
| Specifies whether the grid control should display a special header column.
long | RowHeaderWidth
| specifies the width of the row header column, if applicable.
boolean | ShowColumnHeader
| Specifies whether the grid control should display a title row.
long | ColumnHeaderHeight
| specifies the height of the column header row, if applicable.
long | RowHeight
| Specifies the height of rows in the grid control.
XGridColumnModel | ColumnModel
| Specifies the XGridColumnModel that is providing the column structure.
XGridDataModel | GridDataModel
| Specifies the XGridDataModel that is providing the hierarchical data.
boolean | HScroll
| Specifies the vertical scrollbar mode.
boolean | VScroll
| Specifies the horizontal scrollbar mode.
boolean | Tabstop
| Specifies that the control can be reached with the TAB key.
::com::sun::star::view::SelectionType | SelectionModel
| Specifies the selection mode that is enabled for this grid control.
boolean | UseGridLines
| controls whether or not to paint horizontal and vertical lines between the grid cells.
::com::sun::star::util::Color | GridLineColor
| specifies the color to be used when drawing lines between cells
::com::sun::star::util::Color | HeaderBackgroundColor
| specifies the color to be used when drawing the background of row or column headers
::com::sun::star::util::Color | HeaderTextColor
| specifies the color to be used when drawing the text within row or column headers
::com::sun::star::util::Color | ActiveSelectionBackgroundColor
| specifies the color to be used when drawing the background of selected cells, while the control has the focus.
::com::sun::star::util::Color | InactiveSelectionBackgroundColor
| specifies the color to be used when drawing the background of selected cells, while the control does not have the focus.
::com::sun::star::util::Color | ActiveSelectionTextColor
| specifies the color to be used when drawing the text of selected cells, while the control has the focus.
::com::sun::star::util::Color | InactiveSelectionTextColor
| specifies the color to be used when drawing the text of selected cells, while the control does not have the focus.
com::sun::star::style::VerticalAlignment | VerticalAlign
| specifies the vertical alignment of the content in the control.
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes of the text in the control.
::com::sun::star::util::Color | TextColor
| specifies the color to be used when drawing cell texts
com::sun::star::util::Color | TextLineColor
| specifies the color to be used when drawing text lines (underlining and strikethrough)
short | FontEmphasisMark
| specifies the com::sun::star::text::FontEmphasis value of the text in the control.
short | FontRelief
| specifies the com::sun::star::text::FontRelief value of the text in the control.
string | HelpText
| specifies the help text of the control.
string | HelpURL
| specifies the help URL of the control.
Public Attributes inherited from UnoControlModel
string | DefaultControl
| specifies the service name of the default control for this model.

## Additional Inherited Members
Exported Interfaces inherited from UnoControlModel
interface | com::sun::star::awt::XControlModel
interface | com::sun::star::lang::XComponent
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::io::XPersistObject
interface | com::sun::star::util::XCloneable
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Protected Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Protected Attributes inherited from UnoControlDialogElement
long | Height
| specifies the height of the control.
string | Name
| specifies the name of the control.
string | PositionX
| specifies the horizontal position of the control.
string | PositionY
| specifies the vertical position of the control.
long | Step
| specifies the step of the control.
short | TabIndex
| specifies the tabindex of the control.
string | Tag
| specifies the tag of the control.
long | Width
| specifies the width of the control.

## Detailed Description

specifies the standard model of a UnoControlGrid control.

Since
  OOo 3.3

## Member Typedef Documentation

## ◆ RowBackgroundColors

sequence< ::com::sun::star::util::Color > RowBackgroundColors
| propertymaybevoid

specifies the colors to be used as background for data rows.

If this sequence is non-empty, the data rows will be rendered with alternating background colors: Assuming the sequence has `n` elements, each row will use the background color as specified by its number's remainder modulo `n`.

If this sequence is empty, all rows will use the same background color as the control as whole.

If this property has a value of `VOID`, rows will be painted in alternating background colors, every second row having a background color derived from the control's selection color.

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControlModel

service com::sun::star::awt::UnoControlModel

specifies the standard model of a com::sun::star::awt::UnoControl.

## Member Data Documentation

## ◆ ActiveSelectionBackgroundColor

::com::sun::star::util::Color ActiveSelectionBackgroundColor
| propertymaybevoid

specifies the color to be used when drawing the background of selected cells, while the control has the focus.

If this property has a value of `VOID`, the grid control renderer will use some default color, depending on the control's style settings.

## ◆ ActiveSelectionTextColor

::com::sun::star::util::Color ActiveSelectionTextColor
| propertymaybevoid

specifies the color to be used when drawing the text of selected cells, while the control has the focus.

If this property has a value of `VOID`, the grid control renderer will use some default color, depending on the control's style settings.

## ◆ ColumnHeaderHeight

long ColumnHeaderHeight
| propertymaybevoid

specifies the height of the column header row, if applicable.

The height is specified in application font units - see com::sun::star::util::MeasureUnit.

The value given here is ignored if ShowColumnHeader is `FALSE`.

If the property is `VOID`, the grid control shall automatically determine a height which conveniently allows, according to the used font, to display one line of text.

## ◆ ColumnModel

XGridColumnModel ColumnModel
| property

Specifies the XGridColumnModel that is providing the column structure.

You can implement your own instance of XGridColumnModel or use the DefaultGridColumnModel.

The column model is in the ownership of the grid model: When you set a new column model, or dispose the grid model, then the (old) column model is disposed, too.

The default for this property is an empty instance of the DefaultGridColumnModel.

## ◆ FontDescriptor

com::sun::star::awt::FontDescriptor FontDescriptor
| property

specifies the font attributes of the text in the control.

## ◆ FontEmphasisMark

short FontEmphasisMark
| property

specifies the com::sun::star::text::FontEmphasis value of the text in the control.

## ◆ FontRelief

short FontRelief
| property

specifies the com::sun::star::text::FontRelief value of the text in the control.

## ◆ GridDataModel

XGridDataModel GridDataModel
| property

Specifies the XGridDataModel that is providing the hierarchical data.

You can implement your own instance of XGridDataModel or use the DefaultGridDataModel.

The data model is in the ownership of the grid model: When you set a new data model, or dispose the grid model, then the (old) data model is disposed, too.

The default for this property is an empty instance of the DefaultGridDataModel.

## ◆ GridLineColor

::com::sun::star::util::Color GridLineColor
| propertymaybevoid

specifies the color to be used when drawing lines between cells

If this property has a value of `VOID`, the grid control renderer will use some default color, depending on the control's style settings.

See also
  UseGridLines

## ◆ HeaderBackgroundColor

::com::sun::star::util::Color HeaderBackgroundColor
| propertymaybevoid

specifies the color to be used when drawing the background of row or column headers

If this property has a value of `VOID`, the grid control renderer will use some default color, depending on the control's style settings.

## ◆ HeaderTextColor

::com::sun::star::util::Color HeaderTextColor
| propertymaybevoid

specifies the color to be used when drawing the text within row or column headers

If this property has a value of `VOID`, the grid control renderer will use some default color, depending on the control's style settings.

## ◆ HelpText

string HelpText
| property

specifies the help text of the control.

## ◆ HelpURL

string HelpURL
| property

specifies the help URL of the control.

## ◆ HScroll

boolean HScroll
| property

Specifies the vertical scrollbar mode.

The default value is `FALSE`

## ◆ InactiveSelectionBackgroundColor

::com::sun::star::util::Color InactiveSelectionBackgroundColor
| propertymaybevoid

specifies the color to be used when drawing the background of selected cells, while the control does not have the focus.

If this property has a value of `VOID`, the grid control renderer will use some default color, depending on the control's style settings.

## ◆ InactiveSelectionTextColor

::com::sun::star::util::Color InactiveSelectionTextColor
| propertymaybevoid

specifies the color to be used when drawing the text of selected cells, while the control does not have the focus.

If this property has a value of `VOID`, the grid control renderer will use some default color, depending on the control's style settings.

## ◆ RowHeaderWidth

long RowHeaderWidth
| property

specifies the width of the row header column, if applicable.

The width is specified in application font units - see com::sun::star::util::MeasureUnit.

The value given here is ignored if ShowRowHeader is `FALSE`.

## ◆ RowHeight

long RowHeight
| propertymaybevoid

Specifies the height of rows in the grid control.

The height is specified in application font units - see com::sun::star::util::MeasureUnit.

## ◆ SelectionModel

::com::sun::star::view::SelectionType SelectionModel
| property

Specifies the selection mode that is enabled for this grid control.

The default value is com::sun::star::view::SelectionType::SINGLE

## ◆ ShowColumnHeader

boolean ShowColumnHeader
| property

Specifies whether the grid control should display a title row.

The default value is `TRUE`

## ◆ ShowRowHeader

boolean ShowRowHeader
| property

Specifies whether the grid control should display a special header column.

The default value is `FALSE`

## ◆ Tabstop

boolean Tabstop
| property

Specifies that the control can be reached with the TAB key.

## ◆ TextColor

::com::sun::star::util::Color TextColor
| propertymaybevoid

specifies the color to be used when drawing cell texts

If this property has a value of `VOID`, the grid control renderer will use some default color, depending on the control's style settings.

## ◆ TextLineColor

com::sun::star::util::Color TextLineColor
| propertymaybevoid

specifies the color to be used when drawing text lines (underlining and strikethrough)

If this property has a value of `VOID`, the grid control renderer will use some default color, depending on the control's style settings.

## ◆ UseGridLines

boolean UseGridLines
| property

controls whether or not to paint horizontal and vertical lines between the grid cells.

See also
  GridLineColor

## ◆ VerticalAlign

com::sun::star::style::VerticalAlignment VerticalAlign
| property

specifies the vertical alignment of the content in the control.

## ◆ VScroll

boolean VScroll
| property

Specifies the horizontal scrollbar mode.

The default value is `FALSE`

The documentation for this service was generated from the following file:

- com/sun/star/awt/grid/UnoControlGridModel.idl